diff -u -r libjackasyn-0.13.old/Makefile.in libjackasyn-0.13/Makefile.in
--- libjackasyn-0.13.old/Makefile.in	2007-02-04 14:17:35.000000000 +0100
+++ libjackasyn-0.13/Makefile.in	2007-02-04 14:18:05.000000000 +0100
@@ -5,10 +5,11 @@
 
 TARGET = libjackasyn
 
-SRC_FILES = libjackasyn.c libjackoss.c clientfuncs.c
+SRC_FILES = libjackasyn.c libjackoss.c 
 OBJ_FILES = $(SRC_FILES:.c=.o) libjackoss_pl.o
+OBJ_PIC = $(OBJ_FILES:.o=.opic)
 HEADERS = libjackasyn.h libjackoss.h
-CFLAGS = -O2 -Wall -I. -fPIC -rdynamic -DMAJOR=$(MAJOR) -DMINOR=$(MINOR) @DEBUG@
+CFLAGS_ADD = -I. -rdynamic -DMAJOR=$(MAJOR) -DMINOR=$(MINOR) @DEBUG@
 LIBS =  -lc @LIBS@
 
 
@@ -18,12 +19,17 @@
 
 all: static shared
 
+%.o : %.c
+	$(CC) $(CFLAGS) $(CFLAGS_ADD) -c $< -o $@
+
+%.opic : %.c
+	$(CC) $(CFLAGS) $(CFLAGS_ADD) -fPIC -c $< -o $@
 
 static: $(OBJ_FILES)
-	ar cr libjackasyn.a *.o 
+	ar cr libjackasyn.a $(OBJ_FILES)
 
-shared:
-	$(CC) -shared -Wl,-soname=libjackasyn.so.0 $(LDFLAGS) -o libjackasyn.so.$(VERSION) *.o $(LIBS)
+shared: $(OBJ_PIC)
+	$(CC) -shared -Wl,-soname=libjackasyn.so.0 $(LDFLAGS) -o libjackasyn.so.$(VERSION) $(OBJ_PIC) $(LIBS)
 
 install:
 	-install -d $(DESTDIR)/$(libdir)
@@ -58,4 +64,7 @@
 $(OBJ_FILES) : $(HEADERS)
 
 libjackoss_pl.o: libjackoss.c
-	$(CC) -c $(CFLAGS) -DLD_PRELOAD -o $@ $<
+	$(CC) -c $(CFLAGS) $(CFLAGS_ADD) -DLD_PRELOAD -o $@ $<
+
+libjackoss_pl.opic: libjackoss.c
+	$(CC) -c $(CFLAGS) $(CFLAGS_ADD) -fPIC -DLD_PRELOAD -o $@ $<
